commit c104026a6dcf8c435ead76984527fd8bf42a26d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:17:31 2023 -0400

    Kicksecure

commit 4d79d614727be644fb87d3a25c13f4ac56414eeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:01:08 2023 -0400

    Kicksecure

commit d22639e9b12f994e7faf641c27a5e5bbc2a0a5b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:14:27 2023 +0000

    bumped changelog version

commit b2d9538254b0810ae93bfd06dc58c9dfda78dcd5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:26 2023 +0000

    bookworm

commit 1c197353ce61c6b9bd24764feb4a1b4198773bc4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:51:20 2023 +0000

    bumped changelog version

commit 2fe7e88f50f2180c9f3f26ccff333c2a9da593fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:00 2023 +0000

    readme

commit 0bba2b12afc8d4c380d1f70845f86c1f42c64b3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 16:59:14 2023 +0000

    bumped changelog version

commit 21561a98899f8a0b70b15817d906e2e7505a2c6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:42 2023 +0000

    copyright

commit 86646d6e1cf912bcc0176b67d0614981946f8425
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 17:46:41 2023 +0000

    bumped changelog version

commit 0d917b3076378979fc6771b377e8c09024ba6147
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:27 2023 +0000

    Standards-Version: 4.6.1.0

commit 5a17935058982876f8eaf1da6d6f7d28ba7c098c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:15:50 2023 +0000

    bumped changelog version

commit 32cd0660a9ada73245cbaaac7322735c0496994a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:51:56 2023 +0000

    update copyright year

commit 263443d8515ce77f942e0902969034d04e6f0898
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 15:51:50 2022 -0400

    bumped changelog version

commit 57bea40f0cc73db660f80b5435b9ffc999ce87a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 15:50:45 2022 -0400

    output

commit 871d4120e25a1316fcb82dd590f649e2caf932b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 10:29:02 2022 -0400

    bumped changelog version

commit f4b5d7ae39186aa3edac31571f4e13df4fdbc214
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 09:01:26 2022 -0400

    remove unicode

commit 774db1b7f0a4ae33c39535d3665737c0bc396131
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:05:42 2022 -0400

    bumped changelog version

commit 7975e62479e4345c462a604503042863d08100fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:03 2022 -0400

    readme

commit bf678e20fd274a94e1d2643c0f4033c925425755
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:31 2022 -0400

    copyright

commit 4028a1c0bbe2482f654ef72463071ad72ea3bb51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:37:33 2022 -0400

    readme

commit 3446233581ccf0b6881cb19f795a75a0364e1b36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 08:23:35 2022 -0500

    bumped changelog version

commit f02a3553c61a901d6ce98d1d5629be4c2a032cdf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 08:20:39 2022 -0500

    ConditionPathExists=!/run/qubes-service/no-bootclockrandomization
    ConditionPathExists=!/run/qubes-service/no-bcr

commit f40cff332a68fa6312bea565636d864ff8dada15
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:39:48 2021 -0500

    bumped changelog version

commit 3b8bee042b57ae2b0945265bcac3a5b4b7e54063
Merge: b7b2ccf b594c70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:35:38 2021 -0500

    Merge remote-tracking branch 'github-whonix/master'

commit b594c70aca94270c461870fa650e424c4e3a725f
Merge: b7b2ccf 1837346
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 24 07:35:00 2021 -0500

    Merge pull request #2 from deeplow/delay-as-env-var
    
    Make delay_plus_or_minus overridable via env var

commit 1837346b080132d3f7ca8dac81d13d489cfa2662
Author: deeplow <deeplower@protonmail.com>
Date:   Fri Dec 24 04:19:05 2021 -0500

    Make delay_plus_or_minus overridable via env var

commit b7b2ccf59b1c784dbc97206a8f78ecd96fc7ec63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:29 2021 -0500

    readme

commit cec998c5908516fe5ad2ecb9210ecca8b00a82b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:38:13 2021 -0400

    bumped changelog version

commit ebb467ce5ad1b202d1d24b5ba2ae307632873296
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:10 2021 -0400

    readme

commit bf3c213a7b4059264574b230a72d1906fde2cd54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:38:03 2021 -0400

    bumped changelog version

commit 3a77abe98eb2c80353c068081b312796f264cf15
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:11 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit fe20af03cdc6758814607ce2c47047e731a1f856
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:52 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit b1fe32694a6afda36b30e259fba55ebcd7740e58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:32 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit d75f8784a65edd6c28c1a88ea653420aeba8aaaa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:41:36 2021 -0400

    man page

commit 8d46c5147c1c1fee45c5b27b0742485f55150f84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:18 2021 -0400

    bullseye

commit a237faddc5f24b1b450dc89718b5044245f9985e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:24 2021 -0400

    readme

commit 38902c1c733ebee3d2e0d1a07414e4c45760252c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:00:47 2021 -0400

    bumped changelog version

commit 0698a5f3b6925a154481cd2a0c41d07c9edc5c5d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:18 2021 -0400

    copyright

commit 8715602736146cd0058f87c1fdb2088920b4b04f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:03:36 2021 -0400

    bumped changelog version

commit fd570105c10e33bd29c98939586c07d388690f9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:13 2021 -0400

    copyright

commit eab771b38f4429ed74edcc3dcfb90cf59d0c31b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:47:18 2021 -0400

    bumped changelog version

commit 5f442b60e145345b99eb55af6d751d8b44737e90
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:41:08 2021 -0400

    apparmor
    
    AVC apparmor="DENIED" operation="open" profile="bootclockrandomization" name="/dev/tty" comm="stop" requested_mask="wr" denied_mask="wr"
    AVC apparmor="DENIED" operation="open" profile="bootclockrandomization" name="/dev/tty" comm="start" requested_mask="wr" denied_mask="wr"

commit ec8b5d12540db671a02754b4b1d7eebc274fe07c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 10 06:05:47 2021 -0500

    bumped changelog version

commit c3d8ea5b2790d97c7558a6f981c2249fd2911c81
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 10 06:05:47 2021 -0500

    readme

commit 3db1a6cfd0ed576350c58432ee076f4cd2ef1676
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 10 02:57:03 2021 -0500

    cleanup

commit bb37b014745d46fe505e40bc433785314c42e2ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:27:55 2020 -0400

    bumped changelog version

commit 1891544732cfbc7ee7163df18e77d7a8a12370c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:29 2020 -0400

    readme

commit 99afe0f394e8a14e7c2d68fcfa92a2b982226b81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:07:59 2020 +0000

    bumped changelog version

commit ce70c45711c11aa285b0a259b4f5e38ead0542cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 10:47:35 2020 +0000

    no more standalone log /var/run/bootclockrandomization.log
    
    logs now handled by systemd
    
    no longer depend on logrotate

commit 150cda8871cfaa29e06a51f0dd318acffb74040c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:40:26 2020 -0400

    bumped changelog version

commit 0c3c83a7136022a49850a16e4d4f1d070cf7d353
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:24 2020 -0400

    readme

commit 039ef13eab525ea68fb8adffd8f2dcba6f216997
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:34:58 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit 04fe8f9ea8875285f3026ef1b9c5558349fc4d9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:29 2020 -0400

    remove genmkfile

commit b7260a35cd74dd73e0503341fc8245667f8048a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:07 2020 -0400

    add debian install file

commit 38c5638fd6ed40685ce5e413688e5a0b1dfa9c8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:47 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 41dc990b259f47370374e31ef3b782fee45cacbc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:48:26 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit 5bc5e7bc7c95ac9ebc7e886719bf6402fa43dfa2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:42:08 2020 -0400

    change path to auto generated man pages

commit baf5a08233e62ad6d245c40927a82036e10275aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:32:58 2020 -0400

    bumped changelog version

commit 9efdd41e0d6d72bc0d9ad5fa0f34d29f6887fde4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:54 2020 -0400

    update copyright year

commit 1562cf9d8cb03040b39588915d09cde026bef88c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 07:39:56 2020 -0400

    bumped changelog version

commit 0f46f2f0db65d0377565d0be9df117cb9f2a95c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 31 07:27:12 2020 -0400

    skip starting inside systemd-nspawn container
    
    systemd-nspawn does not allow clock to be changed inside the container.
    
    Quote https://www.freedesktop.org/software/systemd/man/systemd-nspawn.html
    
    The host’s network interfaces and the system clock may not be changed from within the container.
    
    https://forums.whonix.org/t/bootclockrandomization-always-moving-clock-plus-or-5-seconds/2200/10
    
    ConditionVirtualization=!systemd-nspawn

commit 4b54edcb30564c163c7faa774891cc536b5ab7e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:50:07 2019 +0000

    bumped changelog version

commit 1136b4b157e492dfdc0de9d11930878c17e95675
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:48:55 2019 +0000

    apparmor fixes
    
    https://forums.whonix.org/t/apparmor-for-complete-system-including-init-pid1-systemd-everything-full-system-mac-policy/8339/72

commit 525465d446ffbbbc289ad29705b74e796dc9e435
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 09:17:43 2019 +0000

    bumped changelog version

commit 7df1e5f58788e2db0dd43356ff39627b948f54e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 07:58:34 2019 +0000

    apparmor debian packaging

commit 3bcb83957a7ccf0ecaafe8cbef01c7833435c6a0
Merge: 54431e7 79b553e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 01:55:15 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 79b553e15d7c34115c10699f2bf92fd25c814cca
Merge: 54431e7 5ad08c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 27 05:55:00 2019 +0000

    Merge pull request #1 from madaidan/apparmor
    
    Add AppArmor profile

commit 5ad08c3209cfc62d18143c22176c8b59344ae2e6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 26 19:23:37 2019 +0000

    Add attach_disconnected flag

commit 10f0345dd5f42bb9cb6ca95a31a55bcdd18a3c50
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 26 17:17:27 2019 +0000

    Licensing

commit e0bf335338ccadb1a864b58889a91091544ded8c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 26 17:02:35 2019 +0000

    Add AppArmor profile

commit 54431e71b37ab11f0d639c3daad7781e996625ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:39:11 2019 +0000

    bumped changelog version

commit 590892a080672d57ec419f9f9d90e2ae06c40a3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:35:09 2019 +0000

    use properly override_dh_installman

commit c0ad339765a3dd57462e88015f4d57aed1109625
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:29:00 2019 +0000

    bumped changelog version

commit cc09bcadac6a99063217445dc789ffec3565e9ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:36 2019 +0000

    readme

commit 192c57f09a27f1854e8fb993f96298f08c792e4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:36:53 2019 +0000

    bumped changelog version

commit 2ef9d8361f285b0b0ec72567968285fea5641433
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:06:45 2019 -0400

    /var/run -> /run

commit 44717b5e9d17a12b49b1dbb1f6ef77a7fad1fc1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 08:20:27 2019 +0000

    bumped changelog version

commit 69eb3adefd2279c326bb13a8b217aa142af5f35c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:39 2019 +0000

    man page

commit 5d1448e5081e09b294d5374421b4abd5ec3e6d1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 10:18:26 2019 +0000

    bumped changelog version

commit 6a56d20b6cca24d5c890e61eb23d50a7f3dcca31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:31 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 17adfda256db838636dd9ce3f365c54a7b5a771b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:14:21 2019 +0000

    bumped changelog version

commit 9d7513ba0a4e30c2f82047ce66fb3f8d7edbe8c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:56 2019 -0400

    readme

commit fb2197e40ce9f179d71f0186b6d2056c26b96dad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:32:49 2019 +0000

    bumped changelog version

commit 0a3e4ce711f4d3564edb7d54189cfa45fdde1a00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:05:35 2019 -0400

    minor

commit f7c05752db60c9fabee465367fb13eb1f2127274
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:42 2019 -0400

    update path to pre.bsh

commit 703981b703e97cf29bfa48ed12b0343cd834aef8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:21:51 2019 +0000

    bumped changelog version

commit 6e94123f8c1e87885a17d512837f3ee59afcf25c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:52 2019 +0000

    update

commit 8f3334bb83219dc1130409687705c526340e69a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:01:31 2019 +0000

    bumped changelog version

commit 30218ebfd8be3b4256dd118455dd4f4ae5f889c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:50 2019 -0400

    port to debian buster

commit 2e00fdf711a88b673d1b4c5dfb60fa22b08256bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:35 2019 -0400

    port to debian buster

commit fe3d04195dc94e3cea4b0d66f581d93632e397b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:49 2019 -0400

    readme

commit a30a10097483db7f373aadb7523d90806cdd45ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:50:57 2019 +0000

    bumped changelog version

commit 625f92f366ef3d5b70f5cd66a5ad4dd7c52cc18c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:02:46 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit f6aaad9e8e46a59db975ef817c884727aa450171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:24:12 2019 +0000

    bumped changelog version

commit b21dec786d3dbc930d3df198004683e3262afe17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:31:50 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 94b91cbaa6049a0da77e49dae5a212d839a932d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 15:58:43 2018 +0000

    bumped changelog version

commit b341653caf4d63594b9ede112a90e389ed33da41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:57 2018 +0800

    readme

commit 2a668426d239a6433e1a736c53f45d0210644023
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 14:57:38 2018 +0000

    bumped changelog version

commit 60493c589075aafd2cea21a871f2bed5817b330e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:16 2018 +0000

    readme

commit ad4c0b81865113684f4c44718ebfe2f055580c4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:48 2018 +0000

    update copyright

commit 8844cf08e9c1c2316b8741eddad96e3f49116553
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:55 2018 +0000

    update copyright

commit 827f0ccbe315b9585286898278a316fc035436fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:07 2018 +0000

    update copyright

commit 0922fe1b5fb33de54aa9ace206dda78f65e035be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:32 2018 +0000

    update copyright

commit 7302193907d4c5bd43a93b57da028a3c6834c1ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:09:17 2018 +0000

    bumped changelog version

commit e75169fc0d9c1f9f3db23c460f2b0aa4986bc099
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 18:02:44 2018 +0000

    sudoers hardening
    
    let clock-random tolls require sudo

commit 66ffba77b24fbdff6c802a1010ee7a5a6f88b95b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 01:38:54 2017 +0000

    bumped changelog version

commit 9bdf70894ee601ba356f744d3c420650677faf5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 22:12:09 2017 +0000

    remove no longer required sudoers exception
    
    https://phabricator.whonix.org/T637

commit 670fd303410ebe3314214603464491570bfdbb1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:49:27 2017 +0000

    bumped changelog version

commit 65479ab7c8847c2cf948f56c723ed7f6a5ea70ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:29 2017 +0000

    "$@"

commit 06d55e973559132edb8ba80b739425e7d6b217ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:25:30 2017 +0000

    readme

commit d85541929a3797e601dd7ff69247b585075bc69c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:50 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit a760d6c1c378523b4cc79e019037c537c44316c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:22 2017 +0000

    remove debian/gain-root-command workaround

commit 155b18384c4bdf4af8e324ca584c45578b525c32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:25:19 2017 +0000

    packaging simplification ruby-ronn (>= 0.7.3) -> ruby-ronn

commit 560e39f6bbce1eb00005c95fa1a0bd910317d7da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 18:00:07 2017 +0000

    bumped changelog version

commit cd8233eb3e1dd31bd9f43645d8de35e7273d223b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 17:25:31 2017 +0000

    Before=tor@default.service

commit 4bda800c5041a16e52fef701bb5e5aeaff5e4a0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:23:23 2017 +0000

    bumped changelog version

commit ffd34253fc2dde83f713cb3d469d9377b81457ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:30 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 029dc707d0b340338b34d306e5af5d23657708a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 01:53:20 2016 +0000

    bumped changelog version

commit 022703f7413ff4fda845cfb5bf06bad44c4f6f1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 01:52:30 2016 +0000

    add clock-random-manual-cli / clock-random-manual-gui man pages

commit 29f4eab19f3e88bda05142a8578f322956bbd3ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 00:21:46 2016 +0000

    bumped changelog version

commit aeb8884392351b0852d23d87b509b826565de3b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:39:41 2016 +0000

    readme

commit 960fac3b8aa4724c46093859fbcc95d555cfb149
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 4 19:58:15 2016 +0000

    added clock-random-manual-gui tool to manually set the clock as fallback
    
    https://phabricator.whonix.org/T533

commit 93367e59057c45533ceae51559a7bc5a80f87cfc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 4 18:51:37 2016 +0000

    added clock-random-manual-cli tool to manually set the clock as fallback
    
    refactoring
    
    https://phabricator.whonix.org/T533

commit 90619dc2d6154577dcacadaa3194e467c8aba4c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 25 23:27:54 2016 +0000

    bumped changelog version

commit b397954ff13e7a1a6891e381adc76ab4aee0fcb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 20 04:23:30 2016 +0000

    no longer mention timesync

commit a034062ab37389b89479f8bb03c7c14e468e86b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:35 2016 +0000

    bumped changelog version

commit add0177c2dda409c6f5dcf224d62469ac2d6d83f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 13 00:50:43 2016 +0000

    no longer exclude +/- 5 seconds range to avoid fingerprinting negative correlation
    
    Thanks to @marmarek for the suggestion!
    
    https://github.com/QubesOS/qubes-issues/issues/1764#issuecomment-195619793

commit cb72e2c46d9dfa0f818e5df2f23b18bb0c508d85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:07:56 2015 +0000

    bumped changelog version

commit bee7a5ae79b9aafebe17536f9612c3f6d9c4448c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:19 2015 +0000

    bumped changelog version

commit 32824d604cf355d3074de6b6f41bc938615b8230
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 14:02:06 2015 +0000

    workaround for 'dh_installinit should run systemd-tmpfiles if a /usr/lib/tmpfiles.d/ snippet gets shipped for systemd-only packages also' - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=795519

commit b1084291ec1edf27cad6401b1c34e12b144a4244
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 14:59:34 2015 +0000

    bumped changelog version

commit 85d84c89079cafeb340e555035ba3ea713e52c10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 15:43:30 2015 +0000

    bumped changelog version

commit 0a15a20467e1ef33307435fa2a7b415f940955d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 15:43:15 2015 +0000

    systemd unit: workaround/fix, removed spaces, likely bug in 'deb-systemd-helper' that prevents enabling the service by default - https://phabricator.whonix.org/T316

commit 4b36b27b10ac4e1cfe8601f7b4fb8bc68736a898
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 15:36:15 2015 +0000

    bumped changelog version

commit faa7fa520679f1beb3401d4dbceb288c57e84660
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 15:35:46 2015 +0000

    systemd unit: workaround/fix, removed spaces from 'WantedBy = ', likely bug in 'deb-systemd-helper' that prevents enabling the service by default - https://phabricator.whonix.org/T316

commit fcb705d8b63ef2585f1cb7866a3331834dcfb988
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 15 20:25:25 2015 +0000

    bumped changelog version

commit 903063c6f3f82eaadb1e2d34a0c7e0e2e290a00a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 20:19:50 2015 +0000

    fix, Wants -> Before

commit fcc4a15c76f4e14cfc41e80d95a73597360374be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 19:52:51 2015 +0000

    systemd unit file, added:
    Wants = sdwdate.service
    Wants = tor.service

commit 01fade8161c8d84a093a315deafe403bdaa23356
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 18:48:02 2015 +0000

    cleanup

commit 77d3e620017dd067e1660e7bebf582f042484c47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 13 18:47:06 2015 +0000

    ported to systemd - https://phabricator.whonix.org/T106

commit a0be8ddf5dbdf44d930c8fa42c3a149cdb56831e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:13 2015 +0000

    bumped changelog version

commit f4d967a75d8cdf66cfcc3f73a7f7426e875383f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:09 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit fdacba66f634140c131c402dd37ae1ceb0d2890f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:15:57 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 7c95addcd5710d3591ec8faabc58bdc4b62851bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:41:36 2015 +0000

    bumped changelog version

commit cfd0ce38dc283ce138ddd9a09b553444c1225b7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:08 2015 +0000

    added genmkfile to Build-Depends

commit b60e362ee4542a159c8bb7ed9e38ccbe3f38b0db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:43:26 2015 +0000

    cleanup

commit a6fa659c788c0e5a5220baa3e0de6b1a0ba059f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:30 2015 +0000

    updated makefile generic to version 1.5

commit 67bf63ab480b71e73421afdae4354fa7c7290b2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:24 2015 +0000

    bumped changelog version

commit 45514fc1f8c30c9207281fbab86133c5cba27a53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:29 2015 +0000

    updated makefile generic to version 1.4

commit 1cc47334aab1c45f63ccc9a4ad6eafa2f9a4cb7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:13 2015 +0000

    bumped changelog version

commit 1487dec07dae90d04d67b3038c92b4d8da36affb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:44:47 2015 +0000

    added changelog.upstream

commit 0c2e55e9ddf08e95f50f1029d82247d6f572e009
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:34 2015 +0000

    updated makefile generic to version 1.3

commit 34d05c85d13fb45dcfb73b86ce9f1f44182dc5c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:40 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 1fbf62e5e3837b2d105c4255eaab0ab338b877a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:33:39 2015 +0000

    bumped compat from 8 to 9

commit 5d17839a955217d307a212b7e5b3e67625daf062
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:11 2014 +0000

    updated generic makefile

commit cfca0ac6fdee10a80fd4d369091d4ab4ccad90c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:19 2014 +0000

    makefile: refactoring, avoid using IFS

commit dc8d5ac0aaef5a3d05081f8cbedee36ca7ec0fdf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:50 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit a42157a05674ae12d35e5a9a15fdad9c9c612c8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:02 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit f7a30f029914c0ce98bf10f904b0ac7decd6c352
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:52 2014 +0000

    readme

commit fa7a507abc9afeb43a8613e9854ccf2fb5414b7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 25 15:40:51 2014 +0000

    Set OLD_UNIXTIME variable right before calculation of NEW_UNIXTIME so calculation gets more accurate. Thanks to intrigeri for pointing that out! (https://mailman.boum.org/pipermail/tails-dev/2014-September/006983.html)

commit 3a4595f2b276589920a983e00af1b3f3df273b46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:37 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit 79d9a95ad8da157cc29da5d57438668c12ed6e16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:23 2014 +0000

    Updated debian/changelog.

commit 2842a8777ea827233ef132660064828aab723fe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:25 2014 +0000

    Fixed changelog date.

commit 2a72669e6e408e191da27ea7918203015ca1e33b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:25 2014 +0000

    bump version number

commit 67389b8918d00febcf4910d6f914c8b8f31c7503
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:15 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit 9cfd7ab6bcaf2c3b3881028eb5f748427d9df57e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:25 2014 +0000

    packaging

commit dc998eda282c894781896527c4ac69708fd04c37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:10 2014 +0000

    packaging

commit 8b1ac60c1d6dd9697db8ba3b46c0af7b3ad81b0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:35 2014 +0000

    packaging

commit 4682555818b9b9dddc00f460c9a781f94161668c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:03 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit 1f1376397f52d967414f22df6b9f21ab2c2504c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:30:35 2014 +0000

    packaging

commit 43b68124f8a59cc16a582aaa644265b30c4dda1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:10:59 2014 +0000

    packaging

commit d66b7d237d8b55fa601d6f26d6a1faa81a4b1b37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:16 2014 +0000

    packaging

commit ebc16a18ba6fffb92f98a561201d3d7689430c15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:09:42 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit 0b5672460d70c2d084083e19e5b334a2fdbb658d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 1 12:25:24 2014 +0000

    output

commit ab6f40f29c81988cd53025ba98308ef9220c171c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:11 2014 +0000

    added debian epoch; added dotglob

commit a351068884c3d475b65bb5d6ae7bf6d86b941c89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 12 12:29:23 2014 +0000

    packaging

commit e1387150f2d474496554d9e9d35f2e3533e3000b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:24 2014 +0000

    readme

commit a411218ba5d949081a6acf3596320c60d5eadb85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:31 2014 +0000

    readme

commit 14d266ada0c5d220a7c8eb776818fe0c406817cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 31 14:36:21 2014 +0000

    # On branch master
    nothing to commit (working directory clean)

commit 159b0aad6f15879db449fa14f1f978fcab27d0a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 1 17:57:08 2014 +0000

    initial commit
